;
; $Id: build-exe.scm,v 1.8 2003/01/19 08:14:31 jp Exp $
;
; This file contains the code to build/compile the GUI in MzScheme/MrEd.
;

(require (lib "embed.ss" "compiler")
	 (lib "file.ss"))


(let ((exe-name (case (system-type)
		  ((unix)    "lissomgui")
		  ((macosx)  "Lissom GUI.app")
		  ((windows) "LissomGUI.exe")
		  (else (error (format "Unsupported system type: ~S" (system-type))))))

      (mod-list '(
		  (#f "ppm.scm")
		  (#f "lissom.scm")
		  (#f "gui.scm")
                  (#f "properties-panel.scm")
                  (#f "tagged-slider.scm")
		  (#f (lib "launcher.ss" "launcher"))
		  (#f (lib "file.ss" "dynext"))
		  )
		)
      )

  (make-embedding-executable exe-name #t #f mod-list '("main.scm") #f '("-Zzm" )))