/* $Id: Lissom_py.i,v 1.1 2003/05/08 02:17:07 jbednar Exp $ */
%module Lissom
%{
#include "Lissom_py.h"

%}

%include "std_vector.i"
%include "std_string.i"

// Instantiate templates used by example
namespace std{
%template(StringVector) vector<string>;
}

// Include the header file with above prototypes
%include "Lissom_py.h"

/* Add cmds() function to run multiple commands (in Python) */
%pythoncode %{

#
# function to execute multiple commands
#
def cmds(cmdlist):
   for c in cmdlist:
      cmd(c)

#
# Module initialization
#
__init__()

%}

