/* -*-mode: C++; compile-command: "gmake -C../tests zipiostream.test"; -*- */
/**
  \file   Tests the corresponding .h file.
  $Header: /u/nn/cvsroot/lissom/tests/zipiostream.c,v 1.2 2001/11/26 00:10:07 jbednar Exp $
*/

#include <iostream>
#include <fstream>
#include <string>
using std::string;

#include "testutils.h"

#include "../src/zipiostream.h"


int main(int, char**)
{
  const string filename="input/zlib.txt.gz";
  izipstream file(filename.c_str());
  
  if (!file) {
    std::cout << "Could not open file: " << filename;
    return 1;
  }

  string s1; file >> s1; EXACT_MATCH(s1,"A");
  string s2; file >> s2; EXACT_MATCH(s2,"dummy");
  string s3; file >> s3; EXACT_MATCH(s3,"text");
  string s4; file >> s4; EXACT_MATCH(s4,"file");

  return count_errors();  
}
